首页 > tools > intelliJ > > 正文

IntelliJ突然不支持es6,比如箭头函数报错

发布人:zhoulujun    点击:

IntelliJ突然不支持es6,比如箭头函数报错。各种调试无效。解决方案原来就是rm -R idea

首先想到的是google,然后,一看

webstorm下使用ES6的箭头函数写Vue组件提示错误

打开一看,貌似很有道理的样子,但是我项目做react地时候,就是设置es6支持,vue也下载了plug插件。

这完全没有什么卵用!

是不是因为被公司网管搞得,因为修复  Server's Certificate is not trusted pop-up,而采取设置:

点击android studio左上角的File > Settings > Tools > Server Certificates > Accept non-trusted certificates automatically

造成的。改回去,连自己手机4g共享wifi,还是不行。

然后,中间各种方案折腾个几回,发现,intelliJ突然抽风了,不停地scanning files to index。

然后清除缓存,是了下,继续抽风

Screen Shot 2018-07-04 at 14.40.39.png

修改,intellij  内存设置。电脑重启后打开项目,还是。

再打开其它项目不会。

于是,删除项目.idea配置文件

zhoulujun:merchant2b sf5$ rm -R .idea/

重现,打开,好了

还是找不到,问题原因所在,那我兄弟知道,不烦留言,谢谢。


还有一个重要优化,就是,

Screen-Shot-2018-07-04-at-20.35.45.jpg

这个对于 低配对 电脑,webstrom phpstrom,androidStudio 都有重大对性能改进空间